#ifndef __H_DIALOG_H

#define __H_DIALOG_H

#include "filetype.h"

extern volatile int  hinfoRxTry;
extern volatile long hinfoRxPos;
extern volatile int  hinfoRxCps;

extern volatile int  hinfoTxTry;
extern volatile long hinfoTxPos;
extern volatile int  hinfoTxCps;

extern volatile char hSend;
extern volatile char hReceive;

extern volatile char timeDelimiter;

extern volatile long hSendStartTime;
extern volatile long hReceiveStartTime;

extern volatile long startRxTime;
extern volatile long startTxTime;

void hydraDisplayStart();
void hydraDisplayEnd();

void hydraDisplaySendName( char *realname, long file_length, char *alias,
                           long start );
void hydraDisplayReceiveName( char *realname, long file_length, long start );
void hydraDisplayDone( long size, long start, int receive );

#define hydraDisplaySendPos( pos ) hinfoTxPos = pos
#define hydraDisplayReceivePos( pos ) hinfoRxPos = pos
#define hydraDisplaySendTry( n ) hinfoTxTry = n
#define hydraDisplayReceiveTry( n ) hinfoRxTry = n

inline int hydraDisplaySendCps() { return hinfoTxCps; }
inline int hydraDisplayReceiveCps() { return hinfoRxCps; }

#endif