#ifndef __RCVDLIST_H

#define __RCVDLIST_H

#include "class.h"

class ReceivedFile : public BaseObject
{
private:
  char *path;

  int equal( const BaseObject &t ) const;
  void print( ostream& s ) const;
  char *nameOfClass() const;

public:

  ReceivedFile( char *nm );
  ~ReceivedFile();

  char *getName() const { return path; }
};

class ReceivedFileList : public Collection		//ReceivedFile
{
public:
  ReceivedFileList();

  ReceivedFile* Find( ReceivedFile& item, LockMode lock=LockModeNeed ) const;
  ReceivedFile& operator [] ( const int pos ) const;
};

class ReceivedFileIterator : public CollectionIterator	//ReceivedFile
{
public:
  ReceivedFileIterator( ReceivedFileList& ini );

  ReceivedFile& operator () () const;
};

#endif