#ifndef __TIMEOUT_H

#define __TIMEOUT_H

#include "class.h"

class TimeOut : public BaseObject
{
  long speed;
  int timeOut;

  int equal( const BaseObject &t ) const;
  void print( ostream& s ) const;
  char *nameOfClass() const;

public:
  TimeOut( long _s, int _t );

  const long getSpeed() const { return speed; }
  const int getTimeOut() const { return timeOut; }
};

class TimeOutList : public Collection			//TimeOut
{
public:
  TimeOutList();

  TimeOut* Find( TimeOut& item, LockMode lock=LockModeNeed ) const;
  TimeOut& operator [] ( const int pos ) const;
};

class TimeOutIterator : public CollectionIterator	//TimeOut
{
public:
  TimeOutIterator( TimeOutList& ini );

  TimeOut& operator () () const;
};

extern TimeOutList *timeOuts,
                   *zMinOutCps,
                   *zMinInCps,
                   *timeOutsHydra,
                   *hMinOutCps,
                   *hMinInCps;

#endif