#ifndef __MY_EMX_H__

#define __MY_EMX_H__

#include <stdlib.h>
#include <time.h>

#ifdef __cplusplus
extern "C"
{
#endif

struct date
{
  int da_mon;
  int da_day;
  int da_year;
};

struct time
{
  int ti_hund;
  int ti_hour;
  int ti_min;
  int ti_sec;
};

time_t dostounix( struct date *, struct time * );
void unixtodos( time_t, struct date *, struct time * );

void getdate( struct date * );
void gettime( struct time * );

void randomize( void );

int lock( int, unsigned long, unsigned long );
int unlock( int, unsigned long, unsigned long );

void *lsearch( void *, void *, unsigned int *, size_t,
               int (*)(void *, void *) );

#define MAXPATH _MAX_PATH
#define MAXDRIVE _MAX_DRIVE
#define MAXDIR _MAX_DIR
#define MAXFILE _MAX_FNAME
#define MAXEXT _MAX_EXT
#define fnsplit _splitpath
#define fnmerge _makepath

#ifdef __cplusplus
}
#endif

#endif
