#if !defined(_MY_BUFFER_H)

#define _MY_BUFFER_H

class Buffer
{
  size_t curLen, pos, delta;

protected:
  int getChar( int& );

public:
  char *str;

  Buffer( int startLen=80, int deltaInit=10 );
  ~Buffer();

  void putInto( char ch );
  void put( int ch );
  void putQuotted( unsigned ch );
  void putString( char *str );
  void putEMSI( char *str );
  void putQuotted( char *str );
  void reset();
  void leftShift( int how=1 );
  void stripByte();
  void deQuote();

  int empty() { return !str[0]; }
  size_t length() { return pos; }

  int operator[]( int index );
};

#endif