/* rexx */

parse arg arg1 arg2

arg1 = translate( arg1 );
alog = '!build-l.log';

if arg1='ICON' then do
  Call RxFuncAdd 'SysSetIcon', 'RexxUtil', 'SysSetIcon'
  ico = SysSetIcon( arg2,  "Icons\brake\Brake!.Ico" )
  if \ico then Say '* Unable set ICON to' arg2
end
else if arg1='LANGUAGE' then do

  num = 0
  'del /f langimp.def >nul 2>&1'
  'del /f langexp.def >nul 2>&1'
 
  do while lines( 'language.i' )

    line = linein('language.i')
    name = word( line, 1 )

    if substr( name, 1, 1 )\='#' then do
      num = num+1
      i=lineout( 'langimp.def', '  '||left(name,40)||'= BrakeLng.'||num )
      i=lineout( 'langexp.def', '  '||left(name,40)||'@'||num||' NONAME' )
    end
  end

end
else if arg1='CLEAN' then do
  'nmake /nologo /f brake.mak ' clean
end
else do

  ball = '';

  if arg1='rebuild' then ball='/a';

  call lineout alog, '* Start: 'time();
  q = time( 'E' );

  'nmake /nologo /f brake.mak ' ball '_DEBUG=1  _LineNumbers=1'

  call lineout alog, '*   End: 'time();
  call lineout alog, '*  Used: 'time( 'E' );
  exit;

end
