#ifndef __REREXP_H

#define __REREXP_H

#include <regex.h>

class RegularExpresion
{
private:
  regex_t mask;
  int err;
  char *errMsg;

public:
  RegularExpresion( char *str );
  RegularExpresion( RegularExpresion& );
  ~RegularExpresion();

  char *getRegErrorMsg();

  int isValid() const { return !err; }

  int maskMach( char *addr );
};

#endif
