#define INCL_DOS
#include <os2.h>

#include "language.h"

#include "log.h"
#include "sleeper.h"

//#define Use_Dos_Sleep
#define May_Be_Sleep

Sleeper::Sleeper()
{
#ifdef Use_Dos_Sleep
  handle = 1;
#else
  APIRET rc( DosCreateEventSem( NULL, &handle, DC_SEM_SHARED, FALSE ) );

  if( rc )
  {
    handle=0xffffffffl;
    log( Msg_ErrUnableCreateSleepSema, rc );
    os2Message( rc );
  }
#endif
}

Sleeper::~Sleeper()
{
#ifndef Use_Dos_Sleep
  if( handle!=0xffffffffl )
    DosCloseEventSem( handle );
#endif
}

void Sleeper::sleep( unsigned long how ) const
{
#ifdef Use_Dos_Sleep
  DosSleep( how );
#else
  if( handle!=0xffffffffl )
    DosWaitEventSem( handle, how );
#endif
}

void checkPoint() 
{ 
#ifdef May_Be_Sleep
  sleeper->sleep(); 
#endif
}
