#if !defined(__Z_DIALOG_H)

#define __Z_DIALOG_H

extern volatile int zinfoCount;
extern volatile int zinfoTry;
extern volatile long zinfoPos;
extern volatile int zinfoCps;
extern volatile char timeDelimiter;

void infoDisplayStart();
void infoDisplayEnd();

void infoDisplayMsg( char *state, char *action );
void infoDisplayName( int crc, char *protocol, char *realname,
		      long file_length, char *ascii, char *alias,
                      char *protocolShort );
void infoDisplayMarkTime( long start );
void infoDisplayDone( long size, long start, int receive );

#define infoDisplayBlock( count ) zinfoCount = count
#define infoDisplayPos( pos ) zinfoPos = pos
#define infoDisplayTry( n ) zinfoTry = n

inline int infoDisplayCps() { return zinfoCps; }

#endif