#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include "..\crc.h"
#include "..\register.h"

void main()
{
  srand( time( NULL ) );
  printf( "Serial number: " );
  fflush( stdout );

  long serial;
  scanf( "%lu", &serial );

  char name[80];
  gets( name );

  printf( "Register name: " );
  fflush( stdout );
  gets( name );

  Register reg;

  int len = strlen(name);

  if( len>sizeof(reg.owner) )
    len = sizeof(reg.owner);

  memset( reg.owner, ' ', sizeof(reg.owner) );
  memcpy( reg.owner, name, len );

  for( int i=0; i<sizeof(reg.signature); )
  {
    int r = rand()%128;

    if( (r>='A' && r<='Z') || (r>='a' && r<='z') )
      reg.signature[i++] = char( r );
  }

  reg.serial = serial;

  reg.crc = 0xFFFFFFFFl;

  unsigned char *p = (unsigned char *)&reg.serial;

  for( i=0; i<sizeof(reg.serial); i++ )
    reg.crc = Z_32UpdateCRC( p[i], reg.crc );

  p = (unsigned char *)reg.owner;

  for( i=0; i<sizeof(reg.owner); i++ )
    reg.crc = Z_32UpdateCRC( p[i], reg.crc );

  p = (unsigned char *)reg.signature;

  for( i=0; i<sizeof(reg.signature); i++ )
    reg.crc = Z_32UpdateCRC( p[i], reg.crc );

  FILE *out = fopen( "Brake!.Key", "w" );

  fprintf( out, "OwnerName \"" );

  for( i=0; i<len; i++ )
    putc( reg.owner[i], out );

  fprintf( out, "\"\n\nSerialNumber %016lu AccessKey %016lu\n\nRSASignature\n\n",
	   reg.serial, reg.crc );

  for( i=0; i<sizeof(reg.signature); i++ )
  {
    putc( reg.signature[i], out );

    if( i%64==63 && i )
      fprintf( out, "\n" );
  }

  fprintf( out, "\n\nEnd." );

}
